cURL
curl --request GET \
--url https://app.revyops.com/api/public/v2/companies-master-listimport requests
url = "https://app.revyops.com/api/public/v2/companies-master-list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.revyops.com/api/public/v2/companies-master-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"total_pages": 123,
"current_page": 123,
"page_size": 123,
"results": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"domain": "<string>",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"company_status": "<string>",
"company_custom_fields": [
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"field_name": "<string>",
"field_value": "<string>"
}
]
}
]
}Companies
List Master List Companies
Allows you to search for companies in the system - across all clients. You can filter the search using query parameters, and the search will return companies that match the specified criteria. The response limit is 100 companies
GET
/
public
/
v2
/
companies-master-list
cURL
Query Parameters
Filter companies by domain
Filter companies by industry
Filter companies by name
Page number (1-based)
Number of companies per page (max 100)
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
Available options:
FLAT, NESTED Was this page helpful?

